Subject: More information needed about this dump corruption bug

From: Christian Perrier <[email-masked]>
Date: Tue, 16 Mar 2010 14:28:57 +0700

tags 520927 moreinfo
thanks

Hello Jenny,

Back in March 2009, you reported a bug about file corruption when
dumping filesystems.

Bdale Garbee, who maintains the relevant package asked the upstream
author (Stelian Pop) whether that rings some bells for him.

Stelian answered the following, which was apparently never forwarded
to you (or at least in a visible way). This sounds like some tests
could be done on your side. Hopefully, you're still in position to do
them...

Stelian Pop's answer:

On Mon, Aug 31, 2009 at 05:15:37PM -0600, Bdale Garbee wrote:

> One of the users of my Debian package of dump reported repeatable corruption
> when using dump over rmt to a remote tape drive.  See the item in our bug
> tracking system at http://bugs.debian.org/520927 for more information.
> 
> I've poked around a bit, but it won't be easy for me to reproduce the problem.
> Does this ring any bells with you?

This sounds a lot like the kind of problems that can be encountered
when dumping a live filesystem.

In order to completly rule out any network related corruptions, I
would suggest to try doing a dumping locally (into a file in /tmp for
example), and try restoring (or comparing) this dump.

As for the live filesystem problem, the only way to confirm that
this is the cause is, well, to umount (or mount R/O) the filesystem
before dumping.

While you're at it, try to force a fsck on this filesystem, just in
case the filesystem is really corrupt...

Stelian.
-- 
Stelian Pop <[email-masked]>

---

From: Jenny Barna <[email-masked]>
Date: Wed, 17 Mar 2010 12:00:42 +0000 (GMT)

> could be done on your side. Hopefully, you're still in position to do

No I have no record of this.

> example), and try restoring (or comparing) this dump.

I had tested local dumps before I reported the problem. Neither a local 
dump to a tape, nor a dump piped into restore to a disk, nor to a file 
on disk have given any problem I can locate even tho they are from a live 
system. And remote tar also seems ok. So as reported then the problem was 
confined to remote dump.

> this is the cause is, well, to umount (or mount R/O) the filesystem

It was not the problem. See above.

What I have not done is tried a remote dump to tape again in recent months
so if any patch may have fixed it I could try one again.